libgio-2.0.so.0 dependency for firefox 18.0

RESOLVED DUPLICATE of bug 829123

Status

()

Firefox
Untriaged
RESOLVED DUPLICATE of bug 829123
6 years ago
6 years ago

People

(Reporter: Mary C. Johnson, Unassigned)

Tracking

18 Branch
x86
Linux
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

6 years ago
User Agent: Mozilla/5.0 (X11; Linux i686 on x86_64; rv:18.0) Gecko/20100101 Firefox/18.0
Build ID: 20130104154505

Steps to reproduce:

tried to start firefox 18.0 on CentOS-5.8 Linux, running latest kernel.


Actual results:

XPCOMGlueLoad error for file /usr/lib/firefox-18.0/libxpcom.so:
libgio-2.0.so.0: cannot open shared object file: No such file or directory
Couldn't load XPCOM.



Expected results:

It should have run without errors.  Firefox 18.0 works fine on CentOS-6.3 (libgio is in glib2-devel-2.22.5-7 rpm); apparently libgio is not available in CentOS-5.8 or 5.9 distributions of glib2 (latest versions are 2.12... ).  This was not a problem in firefox 17.0.1.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 829123
You need to log in before you can comment on or make changes to this bug.